classification
Title: doc: library imaplib a url not available
Type: Stage: resolved
Components: Documentation Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Pixmew, chrisxiao, docs@python, georg.brandl, gvanrossum, hitansh159, miss-islington
Priority: normal Keywords: patch

Created on 2020-10-26 07:59 by chrisxiao, last changed 2020-11-16 05:27 by miss-islington. This issue is now closed.

Files
File name Uploaded Description Edit
python doc1.png hitansh159, 2020-11-15 06:17
Pull Requests
URL Status Linked Edit
PR 23292 closed Pixmew, 2020-11-15 08:18
PR 23296 closed Pixmew, 2020-11-15 13:38
PR 23297 merged Pixmew, 2020-11-15 13:45
PR 23310 merged miss-islington, 2020-11-16 05:02
PR 23311 merged miss-islington, 2020-11-16 05:04
Messages (18)
msg379650 - (view) Author: Chris Xiao (chrisxiao) Date: 2020-10-26 07:59
jump to https://docs.python.org/3/library/imaplib.html#imap4-objects,

in the "See also" text, the url(https://www.washington.edu/imap/) of the University of Washington’s IMAP Information Center is not available.
msg379653 - (view) Author: Hitansh K Doshi (hitansh159) * Date: 2020-10-26 08:25
hello,
I am new to python repo,
I would like to contribute here.

I checked the page to told and it is showing that https://www.washington.edu/imap/ is not found.
I tried to find the url to their documentation but I couldn't found one. can you please guide me here
msg380259 - (view) Author: Chris Xiao (chrisxiao) Date: 2020-11-03 02:25
maybe,you can try to contact the webmaster of the University of Washington to get the correct url
msg380982 - (view) Author: Hitansh K Doshi (hitansh159) * Date: 2020-11-14 15:42
I contacted them I got to know that the project is discontinued since 2008 and the resources are no more maintained.
they have provided with an github repo and an archive file link 

This is the exact reply:
Unfortunately, both UW IMAP and Pine/Alpine development was discontinued back in 2008 and removed from University systems in 2018. A community copy still exists at https://github.com/uw-imap/imap but UW provides no support or resources for it anymore.  It looks like some of the information may still be available via the Wayback Machine https://web.archive.org/web/20080323102305/https://www.washington.edu/imap/  

Mark Crispin, the lead developer at UW, started a fork of it called Panda IMAP when he was laid off in 2008, but he has unfortunately passed away and that no longer seems to be maintained.

what would you like me to do next ?
msg380983 - (view) Author: Yash Shete (Pixmew) * Date: 2020-11-14 16:42
Should I change the link to new one (not University of Washington’s IMAP Information Center) as it contains so much information about IMAP4.
I could not find any link from University of Washington, So I suggest changing the link all together. I have a link in mind
I can open a PR If you agree.
msg381000 - (view) Author: Hitansh K Doshi (hitansh159) * Date: 2020-11-15 06:17
I made changes to rst file and added link that I got from university of Washington do check it. Let me know if any changes, you find it proper. I will submit my PR.    
changes in shown in image
msg381001 - (view) Author: Yash Shete (Pixmew) * Date: 2020-11-15 06:46
The link provided gives UW IMAP Server Documentation not In general Documentation Of IMAP
msg381002 - (view) Author: Yash Shete (Pixmew) * Date: 2020-11-15 06:47
As Documentaion of imaplib we should provide information of imap itself
msg381003 - (view) Author: Yash Shete (Pixmew) * Date: 2020-11-15 06:50
Sorry my Bad your version is Good you can submit your PR,If any problem May I submit it please
msg381004 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2020-11-15 07:35
It doesn't make sense to include the archive link, the documentation it refers to is available in the GitHub repository under docs/.
msg381005 - (view) Author: Yash Shete (Pixmew) * Date: 2020-11-15 07:46
Then I shall remove the archive link
msg381009 - (view) Author: Yash Shete (Pixmew) * Date: 2020-11-15 09:57
The build fails because of "Inline emphasis start-string without end-string." and bash script exists at code 2
can you please Help me.
msg381010 - (view) Author: Yash Shete (Pixmew) * Date: 2020-11-15 10:26
This is what I get:

Run xvfb-run make -C Doc/ PYTHON=../python SPHINXOPTS="-q -W --keep-going -j4" doctest suspicious html
make: Entering directory '/home/runner/work/cpython/cpython/Doc'
make[1]: Entering directory '/home/runner/work/cpython/cpython/Doc'
mkdir -p build
Building NEWS from Misc/NEWS.d with blurb
PATH=./venv/bin:$PATH sphinx-build -b doctest -d build/doctrees  -q -W --keep-going -j4 -W . build/doctest 
Warning: ../build/NEWS:111: WARNING: Inline emphasis start-string without end-string.
/home/runner/work/cpython/cpython/Lib/socket.py:775: ResourceWarning: unclosed <socket.socket fd=7, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('10.1.0.4', 39496), raddr=('116.202.254.214', 119)>
  self._sock = None
ResourceWarning: Enable tracemalloc to get the object allocation traceback
<doctest default[0]>:1: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
  import imp
<doctest default[2]>:1: DeprecationWarning: `formatargspec` is deprecated since Python 3.5. Use `signature` and the `Signature` object directly
  formatargspec(*getfullargspec(f))
Makefile:49: recipe for target 'build' failed
make[1]: *** [build] Error 1
make[1]: Leaving directory '/home/runner/work/cpython/cpython/Doc'
Testing of doctests in the sources finished, look at the results in build/doctest/output.txt
Makefile:127: recipe for target 'doctest' failed
make: *** [doctest] Error 1
make: Leaving directory '/home/runner/work/cpython/cpython/Doc'
Error: Process completed with exit code 2.
msg381011 - (view) Author: Yash Shete (Pixmew) * Date: 2020-11-15 11:13
After some research all the problems are fixed
msg381066 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-11-16 05:02
New changeset aa01011003bb855cd52abfd49f2443446590d913 by Yash Shete in branch 'master':
bpo-42153 Fix link to IMAP documents in imaplib.rst (GH-23297)
https://github.com/python/cpython/commit/aa01011003bb855cd52abfd49f2443446590d913
msg381067 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-11-16 05:05
Closing in anticipation of the backports landing.
msg381069 - (view) Author: miss-islington (miss-islington) Date: 2020-11-16 05:12
New changeset 85a8a19134bf3f84e0c1504c2a5cd97aa255a63b by Miss Islington (bot) in branch '3.8':
bpo-42153 Fix link to IMAP documents in imaplib.rst (GH-23297)
https://github.com/python/cpython/commit/85a8a19134bf3f84e0c1504c2a5cd97aa255a63b
msg381071 - (view) Author: miss-islington (miss-islington) Date: 2020-11-16 05:27
New changeset 7c4d8fa82aae98f2d638be68f21e9524a92a38e6 by Miss Islington (bot) in branch '3.9':
bpo-42153 Fix link to IMAP documents in imaplib.rst (GH-23297)
https://github.com/python/cpython/commit/7c4d8fa82aae98f2d638be68f21e9524a92a38e6
History
Date User Action Args
2020-11-16 05:27:09miss-islingtonsetmessages: + msg381071
2020-11-16 05:12:52miss-islingtonsetmessages: + msg381069
2020-11-16 05:05:57gvanrossumsetstatus: open -> closed
resolution: fixed
messages: + msg381067

stage: patch review -> resolved
2020-11-16 05:04:16miss-islingtonsetpull_requests: + pull_request22202
2020-11-16 05:02:59miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request22201
2020-11-16 05:02:39gvanrossumsetnosy: + gvanrossum
messages: + msg381066
2020-11-15 13:45:18Pixmewsetpull_requests: + pull_request22188
2020-11-15 13:38:14Pixmewsetpull_requests: + pull_request22187
2020-11-15 11:13:15Pixmewsetmessages: + msg381011
2020-11-15 10:26:49Pixmewsetmessages: + msg381010
2020-11-15 09:57:37Pixmewsetmessages: + msg381009
2020-11-15 08:18:11Pixmewsetkeywords: + patch
stage: patch review
pull_requests: + pull_request22183
2020-11-15 07:46:31Pixmewsetmessages: + msg381005
2020-11-15 07:35:49georg.brandlsetnosy: + georg.brandl
messages: + msg381004
2020-11-15 06:50:24Pixmewsetmessages: + msg381003
2020-11-15 06:47:45Pixmewsetmessages: + msg381002
2020-11-15 06:46:06Pixmewsetmessages: + msg381001
2020-11-15 06:17:55hitansh159setfiles: + python doc1.png

messages: + msg381000
2020-11-14 16:42:34Pixmewsetnosy: + Pixmew
messages: + msg380983
2020-11-14 15:42:55hitansh159setmessages: + msg380982
2020-11-03 02:25:51chrisxiaosetmessages: + msg380259
2020-10-26 08:25:24hitansh159setnosy: + hitansh159
messages: + msg379653
2020-10-26 07:59:35chrisxiaocreate